Method: networks.childPublishers.batchCreate

Creates ChildPublisher objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/childPublishers:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where ChildPublishers will be created. Format: networks/{networkCode} The parent field in the CreateChildPublisherRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateChildPublisherRequest)
    }
  ]
}
Fields
requests[]

object (CreateChildPublisherRequest)

Required. The ChildPublisher objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for [childPublishers.batchCreate][] method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "childPublishers": [
    {
      object (ChildPublisher)
    }
  ]
}
Fields
childPublishers[]

object (ChildPublisher)

The ChildPublisher objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateChildPublisherRequest

Request object for [childPublishers.create][] method.

JSON representation
{
  "parent": string,
  "childPublisher": {
    object (ChildPublisher)
  }
}
Fields
parent

string

Required. The parent resource where this ChildPublisher will be created. Format: networks/{networkCode}

childPublisher

object (ChildPublisher)

Required. The ChildPublisher to create.